/*
 Theme Name:   Pilar Fernandez
 Theme URI:    https://old.pilarfernandezcoach.com
 Description:  Personalización de GeneratePress para Pilar Fernandez
 Author:       EBWEB
 Author URI:   https://ebweb.es
 Template:     generatepress
 Version:      0.1
*/


.elementor-message.elementor-message-success {
color: #fff;
background: #DDCCD0;
padding: 15px 10px;
margin-top: 25px;
}

/**********/

:root{
--principal-heredado: #ddccd0;
--salmon-claro: #ddccd0; /* colores salmón declarados con otro nombre en GeneratePress */
--salmon-medio: #ab8a92;
--salmon-oscuro: #94757d;
--colorado: #e8626d;
}

.rojo{
color: var(--principal-heredado);
}


.text-rosa{
color: #c19fa7;
}

.text-azul{
color:#23577f;
}


/****************************************************************/
/*********************** MENÚ NAVEGACIÓN ************************/
/****************************************************************/
 /* @media (min-width: 968px) { */
 .main-navigation .main-nav ul li a:not(.main-navigation .main-nav ul ul li a)::after {
 content: '';
 display: block;
 width: 0;
 height: 2px;
 background: var(--principal-heredado);
 transition: width .2s;
 }
 .main-navigation .main-nav ul li a:hover:not(.main-navigation .main-nav ul ul li a)::after{
 width: 100%;
 transition: width .2s;
 }
/* } */

.main-navigation.sticky-navigation-transition .main-nav > ul > li > a {
 line-height: 30px;
}
@media (max-width: 968px) {
 .main-navigation.toggled .main-nav > ul {
 padding-top: 20px;
 }
 #menu-menu-cliente{
 padding-bottom: 20px;
 }

 .main-navigation .main-nav ul li a, .menu-toggle, .main-navigation .menu-bar-item > a {
 line-height: 50px;
 }
 .main-navigation.sticky-navigation-transition .main-nav > ul > li > a {
 line-height: 50px;
 }
}


/* efecto botón en último elemento */

li.boton-menu a::after {
display: none !important;
}

li.boton-menu a{
background: var(--salmon-medio);
color: #fff !important;
border-radius: 3px;
}

li.boton-menu a:hover{
background: var(--salmon-oscuro);
color: #fff !important;

}
@media (max-width: 968px) {
 li.boton-menu a {
 margin-top: 10px;
 }
}

/* Punto ruptura menu secundario */
@media (max-width: 768px) {
 .secondary-navigation .menu-toggle {
  display: block;
  }
  .secondary-navigation ul, 
  .secondary-navigation:not(.toggled) .main-nav > ul {
  display: none;
 }
}

/******************** GENERAL ********************/
#secondary-navigation {
display: none;
}

.logged-in #secondary-navigation {
display: block;
}

.site-main .inside-article{

margin-bottom: 60px;
padding-bottom: 50px !important
}

/*********** SUBMENÚ ***********/

@media (min-width: 1100px) {
 .sub-menu {
 padding: 10px !important;
 border-radius: 10px;
 }
}

/**********************************************************/
/******************* CURSO Y LECCIÓN **********************/
/**********************************************************/

.single-course .inside-article, .single-lesson .inside-article {
padding-top: 1% !important;
} 
.course {
margin-bottom: 0;
padding-bottom: 0;
border-bottom: 0px;
}

.single-course .entry-content .course-meta form button{
background: var(--colorado);
}
.single-lesson a.button.send-message-button{
background: var(--salmon-claro);
border-radius: 0px;
padding: 8px 12px;
font-weight: 400;
font-size: 13px;
}

.single-lesson a.button.send-message-button:hover{
background: var(--salmon-medio);
}

.contact-teacher input.send_message {
background: var(--salmon-claro);
border-radius: 0px;
padding: 5px 10px;
font-weight: 400;
font-size: 13px;
margin-bottom: 25px;
}

.contact-teacher input.send_message:hover{
background: var(--salmon-medio);
}

.single-course h1.entry-title {
margin-right: 0px !important;
}

.single-course .entry-content h2, .single-lesson .entry-content h2{
color: #444;
font-size: 20px !important;
line-height: 1.1;
font-weight: 600;
}

.single-course .entry-content h3, .single-lesson .entry-content h3{
color: #444;
font-size: 18px !important;
line-height: 1.1;
font-weight: 600;

}

.single-course .entry-content h4, .single-lesson .entry-content h4{
color: #444;
font-size: 17px !important;
line-height: 1.1;
font-weight: 500;

}



/*********** Vídeo del curso *************/

.single-course .course-video, .single-lesson .video{
position: relative;
overflow: hidden;
width: 100%;
padding-top: 56.25%;
margin-bottom: 25px;
}

.single-course .course-video iframe, .single-lesson .video iframe{
position: absolute;
top: 0;
left: 0;
bottom: 0;
right: 0;
width: 100%;
height: 100%;
}


/*********** Vídeo con shortcode ***********/

.video-curso{
position: relative;
overflow: hidden;
width: 100%;
padding-top: 56.25%;
margin-bottom: 25px;
}
.video-curso p:first-child, .video-curso p:last-child {
line-height: 1px;
}

.video-curso iframe {
position: absolute;
top: 0;
left: 0;
bottom: 0;
right: 0;
width: 100%;
height: 100%;
}

/****** Módulos y Lecciones en Pag.Curso **********/

.modules-title h2{
color: #444;
font-size: 20px !important;
line-height: 1.1;
font-weight: 700;
padding: 16px 20px;
background: var(--salmon-claro);
}

.module h2{
color: #444;
font-weight: 600;
font-size: 18px !important;
line-height: 1.1;
}

.module-description {
padding-bottom: 0px !important;
}

.module-lessons header h3{
color: #444;
font-size: 17px !important;
font-weight: 500;
}

.course .module .module-lessons ul li a {
padding: 0.6em 0.618em 0.618em 3em;
font-size: 17px;
}

.entry-content footer form:after {
display: block;
clear: both;
content: '' !important;
height: 25px !important;
}

/*************** Cursos relacionados *****************/

div.relacionados {
display: none;
}

div.relacionados .sensei-free-lessons {
display: none;
}

.logged-in div.relacionados {
display: block;
}

.relacionados h2{
margin-top: 35px;
font-size: 30px;
}
.single-course .course {
border-bottom: 0px;
} 

.single-course .course-container {
display: flex;
flex-flow: row wrap;
justify-content: space-evenly;
border-bottom: 0px;
margin-bottom: 0!important; 
} 

.single-course .course .inside-article {
 padding-bottom: 20px;
}

.single-course .course-container li{
padding: 20px 12px 12px 12px;
background: #f6f7f8;
text-align: center;
margin: 1.3%;
flex-basis: 47%;
}

@media (max-width: 900px) {
 .single-course .course-container li{
margin: 0 0 15px 0;
flex-basis: 100%;
 }
}
.single-course .course-container li .course-content .entry h3.course-title {
display: block !important;
width: 100%;
max-width: 100%;
font-size: 25px;
margin-bottom: 15px;
}

.single-course .course-container li .course-content .entry h3.course-title a {
text-decoration: none;
}
.single-course .course-container li .course-content .entry .course-author, 
.single-course .course-container li .course-content .entry .sensei-course-meta, 
.single-course .course-container li .course-content .entry .course-products,
.single-course .course-container li .course-content .entry .precio-extracto {
display: none !important;
}

.single-course .course-container .entry a img{
transition: all 0.2s ease-in-out 0s;  
}
.single-course .course-container .entry a:hover img{
opacity: 0.8;
}

/********************* COMENTARIOS PERSONALES A PROFESORES ************/

.single-sensei_message #comments ol{
list-style: none;
margin-left:0px;
}

.single-sensei_message #comments ol li.comment {
border: 2px solid #f5f5f5;
padding: 15px;
margin-bottom: 10px;
}

/***** Leccion Breadcrumbs ************/

#post-entries .nav-prev, #post-entries .nav-next {
margin-bottom: 10px;
}

.sensei-breadcrumb {
background: #fff;
}

/**************** Página Mis Cursos ******************/

.page-id-2942 .wp-block-sensei-lms-button-learner-messages {
margin-bottom: 25px;
}


/**************************************************************************/
/******************** PÁGINA FINALIZAR COMPRA *****************************/
/**************************************************************************/

.woocommerce-billing-fields p, .woocommerce-shipping-fields p{
margin-bottom: 20px !important;
} 

.woocommerce-billing-fields p#billing_first_name_field,
.woocommerce-billing-fields p#billing_address_1_field,
.woocommerce-shipping-fields p#shipping_first_name_field,
.woocommerce-shipping-fields p#shipping_address_1_field{
margin-bottom: 6px !important;
}

.form-row label{
color: #222;
font-weight: bold;
}

form.checkout div#customer_details .col-1, form.checkout div#customer_details .shipping_address{
border: 1px solid #e5e5e5;
padding: 30px 3% 20px 3%;
}
form.checkout .woocommerce-shipping-fields {
margin-top: 20px;
}

form.checkout div#customer_details .shipping_address{
margin-bottom: 20px;
}

form.checkout div#order_review {
border: 1px solid #e5e5e5;
padding: 30px 15px 10px 15px;
}

.woocommerce-additional-fields h3 {
display: none;
}

#stripe-payment-data p, .woocommerce-privacy-policy-text p{
font-size: 15px;
}

fieldset p.form-row.woocommerce-SavedPaymentMethods-saveNew.woocommerce-validated label{
line-height: 1.2;
font-size: 15px;
font-weight: normal;
}

#payment > div > div > p > label.woocommerce-form__label.woocommerce-form__label-for-checkbox{
line-height: 1.2;
font-size: 15px;
font-weight: normal;
}

button#place_order {
margin-top: 25px;
}


/* personalizamos comprar producto con shortcode para landing */

p.product.woocommerce.add_to_cart_inline {
	padding: 0px !important;
	border: 0px !important;
}

p.product.woocommerce.add_to_cart_inline .woocommerce-Price-amount.amount{
	display: none;
}

/* más del checkout */
.woocommerce-error a{
color: #fff !important;
}

/* mostrar formulario loging en checkout */
.woocommerce-checkout .woocommerce-form.woocommerce-form-login.login {
	display: block !important;
}


/***************************************************************************/
/********** TÍTULOS METAS Y COSAS BONITAS DE POST-PAGES ********************/
/***************************************************************************/

.titulo-banda {
background: #f5f5f5;
}

.titulo-banda h1 {
font-size: 25px;
}
span.tipo-h1 {
font-size: 25px;
line-height: 35px;
}

h2.entry-title-2 {
font-size: 24px;
font-weight: 600;
}
.category h2.entry-title {
font-size: 22px;
font-weight: 600;
margin-bottom: 15px;
}

.category h2.entry-title a {
color: var(--principal-heredado) !important;
}

.single .inside-article .entry-header .entry-meta, .category .inside-article .entry-header .entry-meta {
padding-top: 10px;
padding-bottom: 10px;
border-top: 1px solid var(--principal-heredado);
border-bottom: 1px solid var(--principal-heredado);
}

@media (max-width: 960px) {
 .inside-page-hero {
 text-align: center;
 }
}


/********************************************************/
/********************** FOOTER **************************/
/********************************************************/


footer a{
text-decoration: none;
}
footer a:hover{
text-decoration: underline;
}


/********************************************************/
/******************* TABLA COOKIES **********************/
/********************************************************/
.tablacook{
font-size:14px;
line-height:15px;
}
.tablacook table {
border: 1px solid #ccc;
border-collapse: collapse;
margin: 0;
margin-bottom:25px;
padding: 0;
width: 100%;
table-layout: fixed;
}

.tablacook table caption {
font-size: 1.5em;
line-height: 1.5em;
margin: .5em 0 .75em;
}

.tablacook table tr {
background-color: #f8f8f8;
border: 1px solid #ddd;
padding: .35em;
}

.tablacook table th, .tablacook table td {
padding: .625em;
text-align: center;
}

.tablacook table th {
font-size: .85em;
letter-spacing: .1em;
text-transform: uppercase;
border: 1px solid #ddd;
}


@media screen and (min-width: 1000px) {
 .tablacook table td {
 border: 1px solid #ddd;
 }
}

@media screen and (max-width: 1000px) {
  .tablacook table {
  border: 0;
  }

  .tablacook table caption {
  font-size: 1.3em;
  }
  
  .tablacook table thead {
  border: none;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  }
  
  .tablacook table tr {
  border-bottom: 3px solid #ddd;
  display: block;
  margin-bottom: .625em;
  }
  
  .tablacook table td {
  border-bottom: 1px solid #ddd;
  display: block;
  font-size: .8em;
  text-align: right;
  }
  
  .tablacook table td::before {
  content: attr(data-label);
  float: left;
  font-weight: bold;
  text-transform: uppercase;
  }
  
  .tablacook table td:last-child {
  border-bottom: 0;
  }
}

/********************************************************/
/***************** FIN TABLA COOKIES ********************/
/********************************************************/

